Bug 76154 - Mozilla with xft crashes on Red Hat 8.0 (Xrender bug)
Mozilla with xft crashes on Red Hat 8.0 (Xrender bug)
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 13:00 EDT by Christopher Blizzard
Modified: 2007-04-18 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-17 13:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Blizzard 2002-10-17 13:00:10 EDT
Description of Problem:

Mozilla using Xft on Red Hat 8.0 crashes with an X protocol corruption error
when viewing pages that contain long strings.

Version-Release number of selected component (if applicable):

XFree86-4.2.0-72

How Reproducible:

Pretty easy to reproduce.  Go through the long logs on Mozilla's tinderbox.

Steps to Reproduce:
1. browser over to:
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey&hours=12&nocrap=1
2. Click on the L on one of the machines and choose "View Full Log"
3. Start scrolling around

Actual Results:

Crash.

Expected Results:

Works.

Additional Information:
	
Fix for Xrender is included in the mozilla bug:

http://bugzilla.mozilla.org/show_bug.cgi?id=173204
Comment 1 Mike A. Harris 2002-10-18 23:26:52 EDT
Keith's patch is added to 4.2.1-9, and is in XFree86 CVS head now
as well.  Building in beehive...
Comment 2 Mike A. Harris 2003-07-01 19:21:01 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-067.html

Note You need to log in before you can comment on or make changes to this bug.